%global momorel 1

%global xfcalendarver 0.1.9

Summary: 	XFce4 extras component
Name: 		xfce4-extras
Version: 	4.0.6
Release: 	%{momorel}m
URL: 		http://www.xfce.org/
%NoSource 	0 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfcalendar-%{xfcalendarver}.tar.gz 93ad9b27101c7a4ea22c7ace7d993f9e

%NoSource 	3 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfce4-mixer-%{version}.tar.gz 2261901f5f8cb0e794e8cfd00c25952e
%NoSource 	4 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfce4-systray-%{version}.tar.gz c47e746ad38178c6c7f891ca4b39a616
%NoSource 	5 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfce4-toys-%{version}.tar.gz ea559319c3c51846cfa6e159ccbd40c1
%NoSource 	6 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfce4-trigger-launcher-%{version}.tar.gz 2a2abafa2a5990009cfffdc6d608b39e
%NoSource 	7 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfce4-iconbox-%{version}.tar.gz 595822848a029d50a5e555e30f28efb2

%NoSource 	10 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfce4-themes-%{version}.tar.gz 5581e4c47ea23e5df396f681c7563f5e
%NoSource 	11 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xffm-icons-%{version}.tar.gz c9b42d72844b22bb2c8ad54680b3865b
%NoSource 	12 http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/xfwm4-themes-%{version}.tar.gz 63c091efdba452191ea990f92c7302d2

License: 	BSD and GPL and "custom"
BuildRequires:  xfce4-panel >= %{version}
BuildRequires:  libxfcegui4-devel >= %{version}
BuildRequires:  libxfce4mcs-devel >= %{version}
BuildRequires:  gtk+-devel >= 2.4.0
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  startup-notification-devel

Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description 
There are a number of additional packages 
that are not part of the main desktop 
that provide themes or extra functionality.
Some of them are part of the official XFce 4 release, 
others are under development and can be downloaded from SourceForge CVS.

%package -n xfce4-mixer
Summary:        Volume control plugin for the XFce 4 panel
License:        BSD
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}
Requires:       startup-notification

%description -n xfce4-mixer
xfce4-mixer is the volume control plugin for the XFce 4 panel. Includes a
simple sound mixer.

%package -n xfce4-systray
Summary:        Systray for the XFce4 Desktop Environment
License:        GPL
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}

%description -n xfce4-systray
This is a systemtray plugin for xfce4.

%package -n xfce4-toys
Summary:        Various toys related to XFce4.
License:        GPL
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}

%description -n xfce4-toys
Various toys related to XFce4.

%package -n xfce4-trigger-launcher
Summary:        A panel plugin acting as a launcher with two states.
License:        BSD
Group:          User Interface/Desktops
Requires:       xfce4-panel >= %{version}

%description -n xfce4-trigger-launcher
xfce4-trigger-launcher is a launcher with two states, like a trigger.

%package -n xfce4-iconbox
Summary:        Icon box for the XFce4 Desktop Environment
License:        GPL
Group:          User Interface/Desktops
Requires:       libxfcegui4 >= %{version}
Requires:       libxfce4mcs >= %{version}
Requires:       gtk+ >= 2.4.0 libxml2

%description -n xfce4-iconbox
xfce-iconbox shows icons for running programs.

%package -n xfce4-themes
Summary: 	Additional icon themes for the XFce 4 panel
License:	BSD and "custom"
Group:          User Interface/Desktops
Requires:	xfce4-panel >= %{version}

%description  -n xfce4-themes
Additional themes for the XFce 4 panel. Themes are licensed according to their
authors wishes.

%package -n xffm-icons
Summary:        Icons for xffm file manager
License:        GPL
Group:          User Interface/Desktops
Requires:       xffm >= %{version}

%description -n  xffm-icons
Icon themes for the xffm file manager. Part of the XFce 4 DEsktop Environment.

%package -n xfwm4-themes
Summary:        Additionnal themes for xfwm4
License:        GPL
Group:          User Interface/Desktops
Requires:       xfwm4 >= %{version}

%description -n xfwm4-themes
A set of additionnal themes for the xfwm4 window manager.

%package -n xfcalendar
Summary: Manage your time with XFce4
Group:  User Interface/Desktops
License: GPL
Requires:       libxfcegui4 >= %{version}
Requires:       libxfce4mcs >= %{version}
Requires:       gtk+ >= 2.4.0 libxml2

%description -n xfcalendar
Time-managing application for the XFce desktop environment.

%prep
%setup -q -c -a 0 -a 3 -a 4 -a 5 -a 6 -a 7 -a 10 -a 11 -a 12

%build
for i in xfce4-mixer xfce4-systray \
 xfce4-toys  xfce4-trigger-launcher  xfce4-iconbox \
 xfce4-themes xffm-icons xfwm4-themes
do
  pushd ${i}-%{version}
  ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir}
  make
  popd
done
pushd xfcalendar-%{xfcalendarver}
./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir}
make
popd

%install
rm -rf %{buildroot}
for i in xfce4-mixer  xfce4-systray \
 xfce4-toys  xfce4-trigger-launcher  xfce4-iconbox \
 xfce4-themes xffm-icons xfwm4-themes
do
  pushd ${i}-%{version}
  make install DESTDIR=%{buildroot} mandir=%{_mandir}
  popd
done
pushd xfcalendar-%{xfcalendarver}
make install DESTDIR=%{buildroot} mandir=%{_mandir}
popd

# remove
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/xfcalendar_plugin.a
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/xfcalendar_plugin.la

%clean
rm -rf %{buildroot}

%files -n xfce4-mixer
%defattr(-,root,root)
%doc xfce4-mixer-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_libdir}/xfce4/panel-plugins/libmixer*
%{_datadir}/locale/*/*/xfce4-mixer.mo

%files -n xfce4-systray
%defattr(-,root,root)
%doc xfce4-systray-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_libdir}/xfce4/panel-plugins/libsystray*

%files -n xfce4-toys
%defattr(-,root,root)
%doc xfce4-toys-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfce4-tips
%{_libdir}/xfce4/panel-plugins/libeyes*
%{_datadir}/locale/*/*/xfce4-toys.mo
%{_datadir}/xfce4/eyes
%{_datadir}/xfce4/tips/*

%files  -n xfce4-trigger-launcher
%defattr(-,root,root)
%doc xfce4-trigger-launcher-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_libdir}/xfce4/panel-plugins/libtriggerlauncher*
%{_datadir}/locale/*/*/*

%files  -n xfce4-iconbox
%defattr(-,root,root)
%doc xfce4-iconbox-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfce4-iconbox
%{_libdir}/xfce4/mcs-plugins/xfce4-iconbox_settings*
%{_datadir}/locale/*/*/xfce4-iconbox.mo

%files -n  xfce4-themes
%defattr(-,root,root)
%doc xfce4-themes-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_datadir}/xfce4/themes/*

%files -n xffm-icons
%defattr(-,root,root)
%doc xffm-icons-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_datadir}/xffm/pixmaps/*

%files -n xfwm4-themes
%defattr(-,root,root)
%doc xfwm4-themes-%{version}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_datadir}/xfwm4/themes/*

%files -n xfcalendar
%defattr(-,root,root)
%doc xfcalendar-%{xfcalendarver}/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_bindir}/xfcalendar
%{_datadir}/locale/*/*/xfcalendar.mo
%{_libdir}/xfce4/mcs-plugins/xfcalendar_plugin.so

%changelog
* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes
- version up xfcalendar to 0.1.9

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- version update to 4.0.5

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (4.0.4-3m)
- revised spec for rpm 4.2.

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-2m)
- update to xfcalendar-0.1.6

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Mon Jan 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.3-2m)
- s/xfce4ver/version/

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3
- merge extra2
- fix changelog xfcalendar typo

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2
- change xfcalendar URI
- xfcalendar-0.1.4 can not compile xfcalendar_icon

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1
- update xfcalendar URI
- update sources URI
- separate xfce4-themes, xffm-icons, and xfwm4-themes sub packages
  to xfec4-extra2 for resolve old version problem
- mv Source8 to Source0, rpm requires Source0

* Mon Oct  6 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (4.0.0-1m)
- BuildRequires: xfce4-panel >= 4.0.0

* Sat Sep 27 2003 HOSONO Hidetomo <h12o@h12o.org>
- (4.0.0-1m)
- version up
- use %%NoSource (0 to 7, except 8)

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
